flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christofer Dutz <christofer.d...@c-ware.de>
Subject Re: [FlexJS] Change flex sdk descriptor?
Date Wed, 25 Jan 2017 15:24:13 GMT
Hi Alex,

Yeah … I know we are hacking this, but I would like to change this to use the 0.8.0 as a
default and to add a build configuration “apply flashbuilder hacks” to make it output
a 4.8.0.8.0. Because I otherwise I fear that more and more tool vendors will rely on this
hack and make us have to live with it for the next years. I would like to make the descriptor
contain a version 0.8.0 and add some sort of “<type>flexjs</type>” element
to the descriptor to give tool-vendors more information on the type of Flex SDK

Chris

Am 25.01.17, 16:09 schrieb "Alex Harui" <aharui@adobe.com>:

    Not sure I understand.  We are already hacking the <version> to be 4.x for
    FlashBuilder.
    
    I would imagine you could add another tag without breaking things.
    
    -Alex
    
    On 1/25/17, 7:06 AM, "Christofer Dutz" <christofer.dutz@c-ware.de> wrote:
    
    >Hi,
    >
    >I’m currently working on fixing FlexJS support in IntelliJ. I just
    >encountered a line of code in which the component sets are selected based
    >on the version-number (if it’s greater than 4.5). I don’t want to go down
    >the path of hacking the version number of flexJS to be something like
    >4.8.0.8.0 so I would rather have the version 0.8.0 but a SDK type in the
    >descriptor. Unfortunately I don’t know if adding an element to this would
    >break things. What other alternatives would we have to provide this
    >information?
    >
    >Chris
    
    

Mime
View raw message